Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/distrib/sets -path is an extension to find(1) that not all s...



details:   https://anonhg.NetBSD.org/src/rev/acc6ce8ede76
branches:  trunk
changeset: 536487:acc6ce8ede76
user:      thorpej <thorpej%NetBSD.org@localhost>
date:      Mon Sep 16 23:04:39 2002 +0000

description:
-path is an extension to find(1) that not all systems have, so don't
use it.  Instead, filter out the metalog file using a separate loop
in the pipeline.

diffstat:

 distrib/sets/checkflist |  15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

diffs (46 lines):

diff -r ce834c9fb38e -r acc6ce8ede76 distrib/sets/checkflist
--- a/distrib/sets/checkflist   Mon Sep 16 21:49:15 2002 +0000
+++ b/distrib/sets/checkflist   Mon Sep 16 23:04:39 2002 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh --
 #
-#      $NetBSD: checkflist,v 1.16 2002/08/29 04:19:36 lukem Exp $
+#      $NetBSD: checkflist,v 1.17 2002/09/16 23:04:39 thorpej Exp $
 #
 # Verify output of makeflist against contents of $DESTDIR.
 
@@ -17,7 +17,6 @@
 xargs=""
 dargs=""
 diffargs=""
-findargs=
 metalog=
 
 # handle args
@@ -60,8 +59,12 @@
 if [ -n "$metalog" ]; then
        case "$metalog" in
        ${DESTDIR}/*)
-               findargs="! -path ./${metalog#${DESTDIR}/} -a"
+               # Metalog would be noticed, so make sure it gets
+               # ignored.
+               metalog="./${metalog#${DESTDIR}/}"
                ;;
+       *)
+               metalog=""
        esac
 fi
 
@@ -70,7 +73,11 @@
 
 (
        cd $DESTDIR
-       find $origin $findargs \( -type d -o -type f -o -type l \)
+       find $origin \( -type d -o -type f -o -type l \)
+) | (
+       while read line; do
+               test "$metalog" = "$line" || echo $line
+       done
 ) | sort | diff $diffargs $tmpname -
 rv=$?
 



Home | Main Index | Thread Index | Old Index